| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::MaterialScriptProgramDefinition Struct Reference
Core » Materials

Struct for holding a program definition which is in progress. More...

`#include <OgreMaterialSerializer.h>`

## Public Attributes
vector< std::pair< String, String > >::type | customParameters
String | language
String | name
GpuProgramType | progType
String | source
bool | supportsMorphAnimation
ushort | supportsPoseAnimation
bool | supportsSkeletalAnimation
String | syntax
bool | usesVertexTextureFetch

## Detailed Description

Struct for holding a program definition which is in progress.

## Member Data Documentation

## ◆ name

String Ogre::MaterialScriptProgramDefinition::name

## ◆ progType

GpuProgramType Ogre::MaterialScriptProgramDefinition::progType

## ◆ language

String Ogre::MaterialScriptProgramDefinition::language

## ◆ source

String Ogre::MaterialScriptProgramDefinition::source

## ◆ syntax

String Ogre::MaterialScriptProgramDefinition::syntax

## ◆ supportsSkeletalAnimation

bool Ogre::MaterialScriptProgramDefinition::supportsSkeletalAnimation

## ◆ supportsMorphAnimation

bool Ogre::MaterialScriptProgramDefinition::supportsMorphAnimation

## ◆ supportsPoseAnimation

ushort Ogre::MaterialScriptProgramDefinition::supportsPoseAnimation

## ◆ usesVertexTextureFetch

bool Ogre::MaterialScriptProgramDefinition::usesVertexTextureFetch

## ◆ customParameters

vector<std::pair<String, String> >::type Ogre::MaterialScriptProgramDefinition::customParameters

The documentation for this struct was generated from the following file:

- OgreMaterialSerializer.h